# logon.pl
# perl shim for SPE - LOGON

require "NT.ph";

sub getDriveMappings {
    $index = 0;
    Win32::RegOpenKeyEx(&HKEY_CURRENT_USER,
                        'Environment\Logon\Map',
                        &NULL,
                        &KEY_ALL_ACCESS,
                        $handle) or die "unable to access registry";
    while(Win32::RegEnumValue($handle, $index++, $valuename, &NULL, $type, $value)) {
        `net use $valuename $value`;
        print "$valuename $value\n";
    }
    Win32::RegCloseKey($handle);
}

sub getScripts {
    $index = 0;
    Win32::RegOpenKeyEx(&HKEY_CURRENT_USER,
                        'Environment\Logon\Scripts',
                        &NULL,
                        &KEY_ALL_ACCESS,
                        $handle) or die "unable to access registry";
    while(Win32::RegEnumValue($handle, $index++, $valuename, &NULL, $type, $value)) {
        `perl $valuename $value`;
        print "$valuename $value\n";
    }
    Win32::RegCloseKey($handle);
}


&getDriveMappings;
&getScripts;